Subject: bug#18674: closed (Re: bug#18674: Bug#762435: emacs24: Warning message from GLib-GObject)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 19 Oct 2014 16:34:02 +0000

Your bug report

#18674: Bug#762435: emacs24: Warning message from GLib-GObject

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18674: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18674
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18674: Bug#762435: emacs24: Warning message from GLib-GObject
From: Jan Djärv <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Sun, 19 Oct 2014 18:33:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

This is fixed in trunk.  We have one deprecated call left,
gtk_widget_set_double_buffered.

We can't get rid of that without adding Gtk rendering (i.e. Cairo) and only 
rendering in callbacks, that is on expose events.  This is a major job.

	Jan D.

Den 2014-10-12 06:34, Stefan Monnier skrev:
>> Every Gtk release deprecates a lot of stuff, those guys can never seem to
>> decide on anything.
>
> To be fair, we do kind of the same [ Not sure how we compare in terms of
> number of years between declaring something obsolete and actually
> removing it, tho.  ]
>
> At least for things we deprecate, I don't expect everyone to immediately
> start using the new functionality, because many Elisp packages want to
> provide compatibility with older releases, so I think it's OK for Emacs
> to use deprecated Emacs interfaces as long as they've been
> deprecated recently.
>
> But we should update the code to use the new replacement "as soon as
> possible" within the limits of our manpower and the added complexity of
> potentially having to support both the old and the new functionality at
> the same time (via configure tests, typically).
>
>> I don't know if these should be fixed in emacs-24 or not.
>
> No, much too late for that.
>
>> Emacs 24 probably won't compile on Gnome 4, but chances are we have a bugfix
>> release out before Gnome 4, or even 25.1.
>
> If/when this is a problem, we can indeed release a bug-fix for it.
>
>
>          Stefan
>

Subject: Re: Bug#762435: emacs24: Warning message from GLib-GObject
From: Rob Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked], Santiago Vila <[email-masked]>, [email-masked]
Date: Thu, 09 Oct 2014 17:28:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

[When possible, please preserve the -forwarded address in any replies.]

Recently reported to Debian.

Santiago Vila <[email-masked]> writes:

> Package: emacs24
> Version: 24.3+1-5+b1
>
> Hello Rob. I got this today under unstable:
>
> (emacs:29258): GLib-GObject-WARNING **: The property GtkMisc:xalign is
> deprecated and shouldn't be used anymore. It will be removed in a
> future version.
>
> which apparently means emacs is using some obsolete feature of Gtk.

cf. https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=762435

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4